Create an AWS account link
curl --request POST \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/aws-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Tenant-Id: <tenant-id>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/aws-accounts"
payload = { "name": "<string>" }
headers = {
"Tenant-Id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Tenant-Id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/aws-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "CONNECTED",
"aws_account_id": "<string>",
"aws_account_region": "us-east-1",
"stack_id": "<string>",
"has_configuration_error": true,
"configuration_error": "<string>"
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}AWS accounts
Create an AWS account link
POST
/
aws-accounts
Create an AWS account link
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Headers
ID of the tenant (current tenant context).
Body
application/json
Response
OK
Available options:
CONNECTED, AWAITING_CONNECTION AWS region identifier. Matches models.AwsRegion JSON values in paas-lib.
Available options:
us-east-1, us-east-2, us-west-1, us-west-2, us-gov-east-1, us-gov-west-1, ca-central-1, ca-west-1, eu-central-1, eu-central-2, eu-north-1, eu-west-1, eu-west-2, eu-west-3, eu-south-1, eu-south-2, me-south-1, me-central-1, mx-central-1, cn-north-1, cn-northwest-1, ap-east-1, ap-south-1, ap-south-2, ap-northeast-1, ap-northeast-2, ap-northeast-3, ap-southeast-1, ap-southeast-2, ap-southeast-3, ap-southeast-4, ap-southeast-5, ap-east-2, ap-southeast-7, ap-southeast-6, af-south-1, sa-east-1 Example:
"us-east-1"